<?php
class ModelShippingJne extends Model {
	function getQuote($address) {
		$this->load->language('shipping/jne');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('jne_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if (!$this->config->get('jne_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}

		$method_data = array();

		if ($status) {
			$jne_cost = '';
			$weight = $this->cart->getWeight();
			$rates = preg_split('/\r\n/', $this->config->get('jne_cost'));
			foreach ($rates as $rate) {
				$data = explode(',', $rate);
				if ($address['zone_id'] == $data[0]) {
					$pos = strpos(strtolower($data[1]),strtolower($address['city']));
					if ($pos !== false) {
						$pijaronline = number_format($weight, 2, '.', ',');
						$berat = substr($pijaronline, 0, -2);
						$desimal = $weight - $berat;
						if ($weight <= 1.0){
							$jne_cost = $data[2];
						}elseif($desimal < 0.3){
							$jne_cost = $berat*$data[2];
						}else{
							$jne_cost = ($berat+1)* $data[2];
						}
                                           
						break;
					}

				}
			}
		
			$quote_data = array();
			if($jne_cost == ''){ // kontrol
			$quote_data['jne'] = array(
				'code'         => 'jne.jne',
				'title'        => $this->language->get('text_shipping_not_available'),
				'cost'         => $this->config->get('jne_cost'),
				'tax_class_id' => $this->config->get('jne_tax_class_id'),
				'text'         => $this->language->get('text_cost_zero')
			);

			$method_data = array(
				'code'       => 'jne',
				'title'      => $this->language->get('text_title'),
				'quote'      => $quote_data,
				'sort_order' => $this->config->get('jne_sort_order'),
				'error'      => false
			);
			}else{ // kontrol
			$quote_data['jne'] = array(
				'code'         => 'jne.jne',
				'title'        => $this->language->get('text_description'),
				'cost'         => $this->config->get('jne_cost'),
				'tax_class_id' => $this->config->get('jne_tax_class_id'),
				'text'         => $this->currency->format($this->tax->calculate($this->config->get('jne_cost'), $this->config->get('jne_tax_class_id'), $this->config->get('config_tax')))
			);
			$method_data = array(
        		'id'         => 'jne_reguler',
        		'title'      => $this->language->get('text_title'),
        		'quote'      => $quote_data,
				'sort_order' => $this->config->get('jne_reguler_sort_order'),
        		'error'      => FALSE
      		);
		}
	}

		return $method_data;
	}
}